<!-- ‰J -->

<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">
	<repeat>
		<times>20 + $rank * 20</times>
		<action>

			<fire>
				<direction type="absolute">-45 + $rand * 90</direction>
				<speed>$rand * 3.0 + 1.2</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

		</action>

	</repeat>

	<vanish/>

</action>


<bullet label="down">
	<action>
		<wait>$rand * 5</wait>

		<changeDirection>
			<direction type="absolute">180</direction>
			<term>50 + $rand * 50</term>
		</changeDirection>

		<wait>50</wait>

		<changeSpeed>
			<speed>3.0 + $rank + $rand * 3</speed>
			<term>50</term>
		</changeSpeed>

	</action>

</bullet>

</bulletml>
